#ifndef UTFCHAR_FUNC_H
#define UTFCHAR_FUNC_H
typedef unsigned short UTFCHAR;

int 
_utfchar_concat(UTFCHAR *dest, UTFCHAR *str1, UTFCHAR *str2);
int
_utfchar_copy(UTFCHAR * dest, UTFCHAR * original);
int
_utfchar_length(UTFCHAR * p);
int
_utfchar_comp (UTFCHAR *s1, UTFCHAR *s2);


#endif /* UTFCHAR_FUNC */
